%global module pyasn1
%global modules_version 0.2.8

Summary:        ASN.1 tools for Python
Name:           python-pyasn1
Version:        0.4.8
Release:        7%{?dist}
License:        BSD
Source0:        https://github.com/etingof/pyasn1/archive/v%{version}.tar.gz
Source1:        https://github.com/etingof/pyasn1-modules/archive/v%{modules_version}.tar.gz
URL:            http://pyasn1.sourceforge.net/
BuildArch:      noarch

%description
This is an implementation of ASN.1 types and codecs in the Python programming
language.

%package -n python3-pyasn1
Summary:    ASN.1 tools for Python 3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-pyasn1
This is an implementation of ASN.1 types and codecs in the Python 3 programming
language.

%package -n python3-pyasn1-modules
Summary:    Modules for pyasn1
Requires:   python3-pyasn1 >= 0.4.7, python3-pyasn1 < 0.6.0

%description -n python3-pyasn1-modules
ASN.1 types modules for python3-pyasn1.



%prep
%autosetup -n %{module}-%{version}
pushd %{_builddir}/%{module}-%{version}
tar axvf %{SOURCE1}
popd



%build
%py3_build
pushd pyasn1-modules-%{modules_version}
%py3_build
popd



%install
%py3_install

pushd pyasn1-modules-%{modules_version}
%py3_install
popd



%check
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} setup.py test



%files -n python3-pyasn1
%doc README.md
%license LICENSE.rst
%{python3_sitelib}/%{module}
%{python3_sitelib}/%{module}-%{version}-*.egg-info/

%files -n python3-pyasn1-modules
%{python3_sitelib}/%{module}_modules/
%{python3_sitelib}/%{module}_modules-%{modules_version}-*.egg-info/



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.8-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.8-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.8-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.8-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.4.8-1
- initial
